﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Portorechner
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void Form1_Load(object sender, EventArgs e)
        {
            cbxPostprodukt.DataSource = Enum.GetValues(typeof(Produktartwerte));
        }

        ArrayList postprodukte = new ArrayList();
        private void cbxPostprodukt_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (cbxPostprodukt.SelectedIndex == 0)  // Brief aus gewählt
            {
                cbxFormat.DataSource = Enum.GetValues(typeof(Briefformat));
                grpPaket.Visible = false;

            }
            else
            {
                cbxFormat.DataSource = Enum.GetValues(typeof(Paketformat));
                grpPaket.Visible = true;
            }
            lblErgebnis.Text = "";
        }
        
        private void btnPorto_Click(object sender, EventArgs e)
        {

            grpAlle.Visible = false;
            Brief myBrief;
            Paket myPaket;
                double enfernungskm;
                double.TryParse(tbxEntfernungkm.Text, out enfernungskm);
                double gewicht;
                double.TryParse(tbxGewicht.Text, out gewicht);
                Briefformat format = (Briefformat)cbxFormat.SelectedValue;


                if (cbxPostprodukt.SelectedIndex == 0) //Brief
                {
                    
                        myBrief = new Brief(enfernungskm, gewicht, format);
                        postprodukte.Add(myBrief);
                        lblErgebnis.Text = myBrief.ToString();
                        myBrief = null;
                    
                }
                else
                {
                   
                        double laenge;
                        double.TryParse(tbxLaenge.Text, out laenge);
                        double breite;
                        double.TryParse(tbxBreite.Text, out breite);
                        double hoehe;
                        double.TryParse(tbxHoehe.Text, out hoehe);
                        Paketformat pformat = (Paketformat)cbxFormat.SelectedValue;

                        myPaket = new Paket(pformat, enfernungskm, gewicht, laenge, breite, hoehe);
                        postprodukte.Add(myPaket); 
                    lblErgebnis.Text = myPaket.ToString();
                        myPaket = null;
                    
                }
            }

        private void btnAlleBerechnungen_Click(object sender, EventArgs e)
        {
            grpAlle.Visible = true;
            lblAlleBerechnungen.Text = "";
            const char LF = (char)10;
            foreach (Postprodukt p in postprodukte)
            {
                lblAlleBerechnungen.Text = lblAlleBerechnungen.Text+p.ToString() + LF;

            }
        }
        

    }
}
